/[gentoo-x86]/eclass/waf-utils.eclass
Gentoo

Diff of /eclass/waf-utils.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.21 Revision 1.22
1# Copyright 1999-2014 Gentoo Foundation 1# Copyright 1999-2015 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/waf-utils.eclass,v 1.21 2014/12/27 18:07:31 mgorny Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/waf-utils.eclass,v 1.22 2015/01/03 14:50:34 mgorny Exp $
4 4
5# @ECLASS: waf-utils.eclass 5# @ECLASS: waf-utils.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# maintainer-needed@gentoo.org 7# maintainer-needed@gentoo.org
8# @AUTHOR: 8# @AUTHOR:
44 if [[ ! ${_PYTHON_ANY_R1} && ! ${_PYTHON_SINGLE_R1} && ! ${_PYTHON_R1} ]]; then 44 if [[ ! ${_PYTHON_ANY_R1} && ! ${_PYTHON_SINGLE_R1} && ! ${_PYTHON_R1} ]]; then
45 eqawarn "Using waf-utils.eclass without any python-r1 suite eclass is not supported" 45 eqawarn "Using waf-utils.eclass without any python-r1 suite eclass is not supported"
46 eqawarn "and will be banned on 2015-01-24. Please make sure to configure and inherit" 46 eqawarn "and will be banned on 2015-01-24. Please make sure to configure and inherit"
47 eqawarn "appropriate -r1 eclass. For more information and examples, please see:" 47 eqawarn "appropriate -r1 eclass. For more information and examples, please see:"
48 eqawarn " https://wiki.gentoo.org/wiki/Project:Python/waf-utils_integration" 48 eqawarn " https://wiki.gentoo.org/wiki/Project:Python/waf-utils_integration"
49 else
50 if [[ ! ${EPYTHON} ]]; then
51 eqawarn "EPYTHON is unset while calling waf-utils. This most likely means that"
52 eqawarn "the ebuild did not call the appropriate eclass function before calling waf."
53 if [[ ${_PYTHON_ANY_R1} ]]; then
54 eqawarn "Please ensure that python-any-r1_pkg_setup is called in pkg_setup()."
55 elif [[ ${_PYTHON_SINGLE_R1} ]]; then
56 eqawarn "Please ensure that python-single-r1_pkg_setup is called in pkg_setup()."
57 else # python-r1
58 eqawarn "Please ensure that python_setup is called before waf-utils_src_configure(),"
59 eqawarn "or that the latter is used within python_foreach_impl as appropriate."
60 fi
61 eqawarn
62 fi
63
49 elif [[ ${PYTHON_REQ_USE} != *threads* ]]; then 64 if [[ ${PYTHON_REQ_USE} != *threads* ]]; then
50 eqawarn "Waf requires threading support in Python. To accomodate this requirement," 65 eqawarn "Waf requires threading support in Python. To accomodate this requirement,"
51 eqawarn "please add 'threads(+)' to PYTHON_REQ_USE variable (above inherit line)." 66 eqawarn "please add 'threads(+)' to PYTHON_REQ_USE variable (above inherit line)."
52 eqawarn "For more information and examples, please see:" 67 eqawarn "For more information and examples, please see:"
53 eqawarn " https://wiki.gentoo.org/wiki/Project:Python/waf-utils_integration" 68 eqawarn " https://wiki.gentoo.org/wiki/Project:Python/waf-utils_integration"
69 fi
54 fi 70 fi
55 71
56 local libdir="" 72 local libdir=""
57 73
58 # @ECLASS-VARIABLE: WAF_BINARY 74 # @ECLASS-VARIABLE: WAF_BINARY

Legend:
Removed from v.1.21  
changed lines
  Added in v.1.22

  ViewVC Help
Powered by ViewVC 1.1.20